GET Custom Audience Ad Accounts
Updated: Jan 27, 2026
Reading
Custom audience ad accounts
Example
GET /v25.0/{custom-audience-id}/adaccounts HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
permissionsstring |
Optional permission filter for the shared ad account IDs. Values can be targeting for getting account IDs with only targeting permissions, or targeting_and_insights to get account IDs with both targeting and insights permissions.If not set, it will return all shared ad account IDs.
|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of CustomAudienceAdAccount nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Creating
To share audiences with other ad accounts, a business must claim the owner ad account and recipient ad accounts.
The recipient ad account can include or exclude the shared custom audience in targeting spec. Optionally, the recipient ad account can also have the access to view the audience insights with the insights tool. If the optional permissions parameter is not set, the default is
targeting_and_insights.
You can share audiences with other ad accounts via the
ad_accounts edge.
The destination account cannot modify the audience or use it as a seed audience to create lookalikes.
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can also unshare an audience with an ad account by specifying
delete to the same endpoint with the ad_accounts field set to the ad account you want to remove access. Any existing ads running from these accounts using this audience will be stopped and cannot be restarted.
You can't perform this operation on this endpoint.